/* $Id: MemoPadChangeDefaultColorAction.java 303 2011-08-18 23:45:09Z minao $ */
package smart_gs.menu.action;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.view.MemoPadView;
import smart_gs.drawing_tool.view.View;
import smart_gs.drawing_tool.view.MemoPadView.MemoPadColor;
import smart_gs.drawing_tool.view.View.ViewColor;
import smart_gs.logical.Preference;

public class MemoPadChangeDefaultColorAction implements ActionListener {

	private String color;
	
	public MemoPadChangeDefaultColorAction(Color color) {
		this.color = MemoPadView.colorToString(color);
	}
	@Override
	public void actionPerformed(ActionEvent e) {
		Preference.getInstance().setMemoPadColor(color);
	}

}
